.mobile-menu {
  display: none;
  .mobile-menu-list nav a {
    display: block;
    color: white;
    padding: 30px;
    text-align: left;
    line-height: 30px;
    text-decoration: none;
    &.selected {
      background: white;
      color: #222222;
      .mobile-menu-list-bullet {
        border: 5px solid #222222;
        margin: 0 20px -2px -5px;
      }
    }
    .mobile-menu-list-bullet {
      width: 10px;
      height: 10px;
      transform: rotate(45deg);
      display: inline-block;
      margin: 0 26px 2px 0;
      background: white;
    }
  }
}

@media (max-width: 1000px) {
  .app.intro,
  .app.transition {
    .mobile-menu {
      opacity: 0;
      .mobile-menu-back-button,
      .mobile-menu-expand-button,
      .mobile-menu-list {
        pointer-events: none;
      }
    }
  }
  .mobile-menu {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: right;
    pointer-events: none;
    padding: 20px;
    z-index: 100;
    transition: 1s;
    &.hidden {
      opacity: 0;
      pointer-events: none;
    }
    .mobile-menu-back-button,
    .mobile-menu-expand-button {
      pointer-events: auto;
      width: 50px;
      height: 50px;
      padding: 0;
      overflow: hidden;
      background: #222222;
      border: none;
      font-size: 0;
      box-shadow: 0 10px 10px #0005;
      position: relative;
      transition: 0.5s;
    }
    .mobile-menu-back-button {
      &:before {
        content: "";
        display: block;
        position: absolute;
        top: 50%;
        left: 52%;
        transform: translate(-50%, -50%) rotate(-45deg);
        border: white solid;
        border-width: 3px 0 0 3px;
        width: 10px;
        height: 10px;
      }
    }
    .mobile-menu-expand-button {
      margin-left: 20px;
      div {
        position: absolute;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 20px;
        height: 3px;
        background: white;
        transition: 0.5s;
      }
      div:nth-child(1) {
        top: 35%;
      }
      div:nth-child(2) {
        top: 50%;
      }
      div:nth-child(3) {
        top: 65%;
      }
    }
    .mobile-menu-list {
      height: 100vh;
      width: calc(100vw - 90px);
      background: #222222;
      transition: 0.5s;
      position: fixed;
      top: 0;
      left: 100vw;
      overflow: auto;
    }
    &.expanded {
      background: #0005;
      pointer-events: auto;
      .mobile-menu-back-button {
        width: 0;
      }
      .mobile-menu-expand-button {
        margin-right: calc(100vw - 90px);
        margin-left: 0;
        div:nth-child(1) {
          top: 50%;
          transform: translate(-50%, -50%) rotate(135deg);
        }
        div:nth-child(2) {
          top: 50%;
          transform: translate(-50%, -50%) rotate(225deg);
        }
        div:nth-child(3) {
          top: 50%;
          transform: translate(-50%, -50%) rotate(-135deg);
        }
      }
      .mobile-menu-list {
        left: 90px;
        box-shadow: -3px 0 10px #0005;
      }
    }
  }
}
